import { createApp } from 'vue'
import App from './App.vue'
import MyComponent from '@/components/MyComponent'
import {
  create,
  NSpace,
  NInput,
  NDropdown,
  NIcon,
  NCollapse,
  NCollapseItem,
} from 'naive-ui'

const naive = create({
  components: [NSpace, NInput, NDropdown, NIcon, NCollapse, NCollapseItem],
})

createApp(App).use(MyComponent).use(naive).mount('#app')
